#ifndef  STRUCTURE

#define STRUCTURE 104
#include "def.h"
struct MOT
{
	char mne_op[7];
	BYTE  op_code;
	BYTE  ext_op_code;
	BYTE type;
	unsigned Reg_op : 3;
	unsigned Reg_operand : 3;
	unsigned Reg_operand_valid : 1;
	unsigned w : 1;    			//Word bit
	unsigned d : 1;             //direction bit
	unsigned s : 1;
	unsigned v : 1;
	unsigned z : 1;
	unsigned Accumulator : 1;
	unsigned SegmentRegister : 1;
	unsigned FarCall :1;        //Far calls in Type 7 instructions
} ;

struct POT
{
	char p_op[9];
};

struct List
{
	char symbol[SYMBOLSIZE];
	int value;
	int SegmentLength;
	char Segment[SYMBOLSIZE];
	char Relocation;	//  R-Relocatable address A-Absolute address
	char CombineClass;	// 	P-Public, S-Stack  C -Common ' 'Private	-> Segment
						//	E-Extern, P-Public ' 'Private	-> Data
	char Type ;			//  S- Segment, N-Near, F-Far, B-Byte, W-Word, D-Double A-Absolute
	BYTE Align;			//  0-Absolute, 1-Byte, 2-Word, 3-Para, 4-Page,
	WORD Index;
	WORD GroupIndex;
	WORD LnameIndex;


};

struct REG
{
	char Reg[3];
	BYTE code;
};
#endif